SBX - Search With Button

SBX - Forum Post Title

Trying to install Microsoft Dynamics 4.0 on Windows server 2008

Microsoft Dynamics CRM Forum

dynamicsnew asked a question on 9 Oct 2018 12:07 AM

Question Status

Suggested Answer

Trying to install Microsoft Dynamics 4.0 on Windows server 2008. Getting following error messages. How do I get to install on Windows server 2008

Reply
Leo Zhang responded on 9 Oct 2018 1:27 AM
My Badges

Hi partner,

Here is the Implementation Guide for Dynamics CRM 4.0.

www.microsoft.com/.../details.aspx

You can download it and refer to the installation preparation and steps in it.

Hope it helps.

Best Regards

Leo

Reply
dynamicsnew responded on 9 Oct 2018 1:41 AM

Thanks!! this is helpful. Really appreciate that

Reply
Leo Zhang responded on 9 Oct 2018 1:50 AM
My Badges

Hi partner,
Please set my answer as Verified Answer if it helped you which would also close this ticket and help other people with the same issue.
Thanks a lot.
Best Regards
Leo

Reply
dynamicsnew responded on 9 Oct 2018 2:13 AM

I don't see that option. Please let me know where I can find it?

Reply
Leo Zhang responded on 9 Oct 2018 2:35 AM
My Badges

Hi partner,

You could click Yes to make this ticket verified.

Welcome to Dynamics 365 community.

Best Regards

Leo

Reply
dynamicsnew responded on 9 Oct 2018 2:44 AM

My friend, I am still getting that error. I am not able to proceed with the installation. I do not see in any of the documents that you showed.

Reply
Leo Zhang responded on 9 Oct 2018 2:56 AM
My Badges

Hi partner,

It looks like you have trouble downloading visual c++.

Here is a link of how to install Microsoft Dynamics CRM 2011 without Internet.

You could download Microsoft visual c++separately through the links in the article.

blogs.msdn.microsoft.com/.../how-to-install-microsoft-dynamics-crm-2011-without-an-internet-connection

Hope it helps

Best Regards

Leo

Reply
dynamicsnew responded on 9 Oct 2018 2:59 AM

Thanks! I am not trying to install MS Dynamics CRM 2011, trying to install Dynamics 4.0 on Windows Server 2008 R2. This is a lab environment. I am trying to fix this.

Reply
Radu Chiribelea responded on 9 Oct 2018 3:06 AM
My Badges
Suggested Answer

Hi - I think there is in issue with the Visual C++ Runtime package. If you try to install it upfront and don't let the CRM installer patch it for you does it work? What I suspect happens the CRM installer (since it is an old build) package tries to grab the Visual C++ Runtime from a location that is no longer available - hence you get the exception.

I'd suggest you check the requirements and see what build you need and then download it from the internet and install it manually. Afterwards run the CRM installation.

Hope this helps,

Radu

Reply
Leo Zhang responded on 9 Oct 2018 3:12 AM
My Badges

Hi partner,

According to your screenshot, I judged that your problem should be caused by the inability of Microsoft Visual C++ Runtime package to download and install.

Both MS Dynamics CRM 2011 and Dynamics 4.0 all need Microsoft Visual C++ Runtime package module.

So you could try to download and install  Microsoft Visual C++ Runtime package through the link I provided and see if the issue still exists.

Best Regards

Leo

Reply
dynamicsnew responded on 9 Oct 2018 3:49 AM

Hi Leo, 

Quick question. Mine is a 64bit Intel Xeon processor (Virtualized). I am downloading it from 

https://www.microsoft.com/en-us/download/details.aspx?id=12005

I only see the 32 bit option of the software. Other one  that is mentioned DynamicsCRMServer_1033_amd64.exe, I guess this for AMD processor. Kindly clarify.

Regards

Reply
dynamicsnew responded on 9 Oct 2018 3:51 AM

or is it 64 bit architecture

Reply
Leo Zhang responded on 9 Oct 2018 4:12 AM
My Badges

Hi partner,
AMD64 is the name for the 64-bit instruction set the x64 Windows is runs on. It just happens to be AMD who invented the 64-bit x86 instruction set, which Intel copied later on.
You could see more details in Wikipedia.
https://en.wikipedia.org/wiki/X86-64

So you can download this software and install it.

Hope it helps

Best Regards

Leo

Reply
dynamicsnew responded on 9 Oct 2018 5:14 AM

Thanks Radu, yes I tried manually installing.  VC++ running time minimum version is 11.0.  When, I check the error logs. It just says "Requesting download of Microsoft Visual C++ Runtime installer from......."

When I search in the  I get the link support.microsoft.com/.../the-latest-supported-visual-c-downloads it has all the run time packages. 

Which one do you think I should install?

Reply
dynamicsnew responded on 10 Oct 2018 12:25 AM

Thanks!! tried the required libraries. But the setup is stalling. The log file records the URL its trying to fetch the libraries from, but its not able to. Here is the log details.

11:43:41| Info| Requesting download of Microsoft Visual C++ Runtime installer from go.microsoft.com/fwlink;clcid=0x409.

11:43:41| Info| Requesting download of Microsoft SQL Reporting Service Report Viewer Control installer from go.microsoft.com/fwlink;clcid=0x409.

11:43:42| Error| Microsoft Visual C++ Runtime did not download successfully. To try again, click Install.

11:44:49| Error| Microsoft Visual C++ Runtime did not download successfully. To try again, click Install., Error, OK

11:44:49| Info| InputResult: OK

11:44:49| Error| Microsoft SQL Reporting Service Report Viewer Control did not download successfully. To try again, click Install.

11:44:50| Error| Microsoft SQL Reporting Service Report Viewer Control did not download successfully. To try again, click Install., Error, OK

11:44:50| Info| InputResult: OK

11:47:02| Info| Do you really want to cancel out of Setup?, Question, Yes|No

11:47:02| Info| InputResult: Yes

When I try to fetch the library directly from  go.microsoft.com/fwlink;clcid=0x409 not able to find it.  The setup stalls and is not able to proceed. Any way we can change the setup option?

Reply
Radu Chiribelea responded on 9 Oct 2018 3:06 AM
My Badges
Suggested Answer

Hi - I think there is in issue with the Visual C++ Runtime package. If you try to install it upfront and don't let the CRM installer patch it for you does it work? What I suspect happens the CRM installer (since it is an old build) package tries to grab the Visual C++ Runtime from a location that is no longer available - hence you get the exception.

I'd suggest you check the requirements and see what build you need and then download it from the internet and install it manually. Afterwards run the CRM installation.

Hope this helps,

Radu

Reply

SBX - Two Col Forum

SBX - Migrated JS